#!/bin/sh
### install.sh - instalacni skript pro ceske a slovenske fortunes
### -- Zdenek Pytela, 97.10.27
### Tuto distribuci je (uz vzhledem k rozsahu) nutno povazovat za prozatimni
###
### V adresari FORTUNESDIR se vytvori podadresar(e) cs-KODOVANI podle
### verze kodovani, zdrojove texty jsou kodovany v ISO-Latin-2.
### Ceske fortunes se spousti fortune cs-KODOVANI, napr. cs-il2.
### Prosim o pripominky na <letty@mrakoplas.phil.muni.cz>.


### Ze zdroju vyradte ty, ktere se vam nelibi
ZDROJE="zemeplocha mladik pocitace citat klasik1"
### Z kodovani ponechte jenom ty, ktere potrebujete
KODOVANI="il2 ascii pc2 1250 kam il1"
### Kde je adresar s texty fortunes
FORTUNESDIR="/var/lib/games/fortunes"
#FORTUNESDIR="/tmp/fortunes"
KODZDROJE="il2"


### Citat od Winstona ma jiny format
sed 's/\([^:]*\): \(.*\)$/\2\
		-- \1\
%/' citat.txt.il2 \
| sed 's/ *$//' \
| sed 's/\./\. /' \
> citat


### Mala uprava v textu p. Derfinaka
sed '/\[.*\]/s/\[/-- /;s/\]//' klasik0 \
> klasik1


###

if [ "`type -path cstocs`" = "" ]
then
KODOVANI="il2"
 cstocs()
{ 
cat $3
}
fi

for KOD in $KODOVANI
do
 if [ -d $FORTUNESDIR/cs-$KOD ] || mkdir -p $FORTUNESDIR/cs-$KOD 
 then
  for SOUBOR in $ZDROJE
  do
   if touch $FORTUNESDIR/cs-$KOD/$SOUBOR 
   then
    cstocs $KODZDROJE $KOD $SOUBOR > $FORTUNESDIR/cs-$KOD/$SOUBOR \
    && strfile $FORTUNESDIR/cs-$KOD/$SOUBOR
   else
    echo "Nelze zapast soubor $FORTUNESDIR/cs-$KOD/$SOUBOR."
   fi
  done
 else
  echo "Nelze vytvorit adresar $FORTUNESDIR/cs-$KOD."
 fi
done

fortune cs-il2

